# ==================================================================
# Plugins::GForum::Username_Hyperlink - Auto Generated Install Module
#
#   Plugins::GForum::Username_Hyperlink
#   Author  : Paul Wilson
#   Version : 0.1
#   Updated : Fri Feb 15 10:45:30 2002
#
# ==================================================================
#

package Plugins::GForum::Username_Hyperlink;
# ==================================================================
use strict;
use vars  qw/$VERSION $DEBUG $NAME $META/;
use GT::Base;
use GT::Plugins qw/STOP CONTINUE/;
use GForum qw/$IN $DB $CFG/;

$VERSION = '0.1';
$DEBUG   = 0;
$NAME    = 'Username_Hyperlink';
# Inhert from base class for debug and error methods
@Plugins::GForum::Username_Hyperlink::ISA = qw(GT::Base);

$META = {
    'prog_ver' => '1.1.1',
    'description' => 'This plugin will allow you to enter [ username ] into posts and the username will be hyperlinked to the user\'s profile!',
    'license' => 'Freeware',
    'url' => 'http://www.wiredon.net/',
    'author' => 'Paul Wilson',
    'version' => '0.1'
};


sub pre_install {
# -------------------------------------------------------------------
# This function displays an HTML formatted message that will display
# to the user any instructions/information before they install
# the plugin.
#
    my $inst_msg = 'Please install this plugin.';

    return $inst_msg;
}

sub pre_uninstall {
# -------------------------------------------------------------------
# This function displays an HTML formatted message that will display
# to the user any instructions/information before they remove the
# plugin.
#
    my $uninst_msg = 'Why are you uninstalling me?..you meanie!';

    return $uninst_msg;
}

sub install {
# -------------------------------------------------------------------
# This function does the actual installation. It's first argument is
# a plugin manager which you can use to register hooks, install files,
# add menu options, etc. The second argument is a GT::Tar object which
# you can use to access any files in your plugin module.
#
# You should return an HTML formatted string that will be displayed 
# to the user.
#
# If there is an error, return undef, and set the error message in
# $Plugins::GForum::Username_Hyperlink::error
#
    my ($mgr, $tar) = @_;
    
    $mgr->install_hooks ( 'Username_Hyperlink', [ ['convert_markup', 'PRE', 'Plugins::GForum::Username_Hyperlink::hyperlink', 'FIRST'] ]);
    ;
    return "The plugin has been successfully installed!";
}

sub uninstall {
# -------------------------------------------------------------------
# This function removes the plugin. It's first argument is
# also a plugin manager which you can use to register hooks, install files,
# add menu options, etc. You should return an HTML formatted string
# that will be displayed to the user.
#
# If there is an error, return undef, and set the error message in
# $Plugins::GForum::Username_Hyperlink::error
#
    my $mgr = shift;
    
    $mgr->uninstall_hooks ( 'Username_Hyperlink', [ ['convert_markup', 'PRE', 'Plugins::GForum::Username_Hyperlink::hyperlink', 'FIRST'] ]);
    ;
    return "The plugin has been successfully removed!";
}

1;
