# ==================================================================
# Plugins::GForum::Username_Hyperlink - Auto Generated Program Module
#
#   Plugins::GForum::Username_Hyperlink
#   Author  : Paul Wilson
#   Version : 0.1
#   Updated : Fri Feb 15 10:45:30 2002
#
# ==================================================================
#

package Plugins::GForum::Username_Hyperlink;
# ==================================================================

   use strict;
   use GT::Base;
   use GT::Plugins qw/STOP CONTINUE/;
   use GForum qw/$IN $DB $CFG/;

   # Inherit from base class for debug and error methods
   @Plugins::GForum::Username_Hyperlink::ISA = qw(GT::Base);

# PLUGIN HOOKS
# ===================================================================


sub hyperlink {
# -------------------------------------------------------------------
# This subroutine will get called whenever the hook 'convert_markup'
# is run. You should call GT::Plugins->action ( STOP ) if you don't 
# want the regular code to run, otherwise the code will continue as
# normal.
#
    my ($text) = shift;

    $$text =~ s,\[\s+(.+?)\s+\],check_user($1),seg;

    return $text;
}

sub check_user {
#--------------------------------------------------------------------
# Return the profile hyperlink.

    my ($user,$db,$rc,$st) = (shift,undef,undef,undef);

    $db = $DB->table('User');
    $rc = $db->select( { user_username => $user }, ['user_id'] )->fetchrow_hashref;
    $st = $rc->{user_id} ? qq|<a href="$CFG->{cgi_root_url}/gforum.cgi?username=$user;">$user<a/>| : $user;

    return $st;

}

# Always end with a 1.
1;
